Name:          webjars-locator-core
Version:       0.31
Release:       6%{?dist}
Summary:       WebJar Locator Core functionality
License:       MIT
URL:           http://www.webjars.org/
Source0:       https://github.com/webjars/webjars-locator-core/archive/%{name}-%{version}.tar.gz


BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(org.apache.commons:commons-compress)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

%if 0
# Test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.slf4j:slf4j-simple)
# NOT available
BuildRequires: mvn(org.springframework.boot:spring-boot-loader:1.1.8.RELEASE)
BuildRequires: mvn(org.springframework.boot:spring-boot-loader-tools:1.1.8.RELEASE)
BuildRequires: mvn(org.webjars:angular-translate:2.1.0)
BuildRequires: mvn(org.webjars:angular-tree-control:0.1.5-1)
BuildRequires: mvn(org.webjars:angularjs:1.2.11)
BuildRequires: mvn(org.webjars:bootstrap:3.1.1-1)
BuildRequires: mvn(org.webjars:bootswatch-yeti:3.1.1)
BuildRequires: mvn(org.webjars:jquery:2.1.0-3)
BuildRequires: mvn(org.webjars:less-node:1.6.0-1)
BuildRequires: mvn(org.webjars:requirejs:2.1.14-3)
BuildRequires: mvn(org.webjars:select2:3.5.2-1)
BuildRequires: mvn(org.webjars:when-node:3.5.2-2)
BuildRequires: mvn(org.webjars.npm:angular-ui-router:0.2.15)
BuildRequires: mvn(org.webjars.npm:babel-core:6.0.16)
BuildRequires: mvn(org.webjars.npm:util:0.10.3)
%endif

BuildArch:     noarch

%description
WebJars are client-side web libraries (e.g. jQuery & Bootstrap)
packaged into JAR (Java Archive) files. This project provides a
means to locate assets within WebJars.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
# Cleanup
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

%pom_remove_plugin :nexus-staging-maven-plugin

%mvn_file : %{name}

%build

# Skip test: unavailable test deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.md

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.31-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 0.31-2
- remove unused test resources

* Mon Jul 25 2016 gil cattaneo <puntogil@libero.it> 0.31-1
- initial rpm

